Subject: Re: bug#8357: coreutils bug in date

From: Bob Proulx <[email-masked]>
Date: Sat, 9 Apr 2011 21:49:29 -0600

retitle 8357 Improve yesterday and tomorrow calculations for common cases
severity 8357 wishlist
thanks

Bob Proulx wrote:
> Heikki Orsila wrote:
> > Bob Proulx wrote:
> > > So 'yesterday' or '24 hours ago' are equivalent.  These are exactly 24
> > > hours ago or 86400 seconds.  This is a critical point in your problem.
> > 
> > I see the problem, but IMO, the definition of yesterday should be changed
> > or there should be a new definition.
> > 
> > What about defining new units: 'calday', 'calyesterday', 'caltomorrow'? 
> > For example, $(date -d '1 calday ago' '+%F')? These would count actual 
> > calendar days rather than relative time (in units of 24 hours)?
> 
> Something like that could be done.  I think there would be support for
> that direction of development.

There hasn't been any further discussion about the topic.  I don't
think this is going to be changed immediately.  It would need to be
discussed and an acceptable solution proposed and also someone would
need to actually do the work.  And so am reclassifying this ticket as
a wishlist to improve the date handling for the common cases of
yesterday and tomorrow just to document the issue.

Bob